org.apache.geode.admin

## Interface CacheVmConfig

- All Superinterfaces:
    java.lang.Cloneable, ManagedEntityConfig
  All Known Subinterfaces:
    CacheServerConfig

  Deprecated.
  as of 7.0 use the `management` package instead

      public interface CacheVmConfig
      extends ManagedEntityConfig

  Configuration for a GemFire cache server VM that is managed by the administration API. The VM may or may not be running.
  Since:
    GemFire 5.7
  See Also:
    `AdminDistributedSystem.addCacheVm()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCacheXMLFile()` Deprecated. Returns the `cache.xml` declarative caching initialization file used to configure this cache server VM.
    `java.lang.String` | `getClassPath()` Deprecated. Returns the location(s) of user classes (such as cache loaders) required by the cache server VM.
    `void` | `setCacheXMLFile(java.lang.String cacheXml)` Deprecated. Sets the `cache.xml` declarative caching initialization file used to configure this cache server VM.
    `void` | `setClassPath(java.lang.String classpath)` Deprecated. Sets the location(s) of user classes (such as cache loaders) required by the cache server VM.

    - ### Methods inherited from interface org.apache.geode.admin.ManagedEntityConfig

      `clone, getHost, getProductDirectory, getRemoteCommand, getWorkingDirectory, setHost, setProductDirectory, setRemoteCommand, setWorkingDirectory, validate`

- - ### Method Detail

    - #### getCacheXMLFile

          java.lang.String getCacheXMLFile()

      Deprecated.
      Returns the `cache.xml` declarative caching initialization file used to configure this cache server VM. By default, a cache server VM is started without an XML file.

    - #### setCacheXMLFile

          void setCacheXMLFile(java.lang.String cacheXml)

      Deprecated.
      Sets the `cache.xml` declarative caching initialization file used to configure this cache server VM.

    - #### getClassPath

          java.lang.String getClassPath()

      Deprecated.
      Returns the location(s) of user classes (such as cache loaders) required by the cache server VM.

    - #### setClassPath

          void setClassPath(java.lang.String classpath)

      Deprecated.
      Sets the location(s) of user classes (such as cache loaders) required by the cache server VM.